
package net.mcreator.aaaa.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.util.ResourceLocation;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.Item;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.aaaa.ElementsAaaaMod;

@ElementsAaaaMod.ModElement.Tag
public class ItemPaperArmor extends ElementsAaaaMod.ModElement {
	@GameRegistry.ObjectHolder("aaaa:paper_armorhelmet")
	public static final Item helmet = null;
	@GameRegistry.ObjectHolder("aaaa:paper_armorbody")
	public static final Item body = null;
	@GameRegistry.ObjectHolder("aaaa:paper_armorlegs")
	public static final Item legs = null;
	@GameRegistry.ObjectHolder("aaaa:paper_armorboots")
	public static final Item boots = null;
	public ItemPaperArmor(ElementsAaaaMod instance) {
		super(instance, 56);
	}

	@Override
	public void initElements() {
		ItemArmor.ArmorMaterial enuma = EnumHelper.addArmorMaterial("PAPER_ARMOR", "aaaa:paper", 2, new int[]{0, 1, 1, 0}, 1,
				(net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY.getObject(new ResourceLocation("")), 0f);
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.HEAD).setUnlocalizedName("paper_armorhelmet")
				.setRegistryName("paper_armorhelmet").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.CHEST).setUnlocalizedName("paper_armorbody")
				.setRegistryName("paper_armorbody").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.LEGS).setUnlocalizedName("paper_armorlegs")
				.setRegistryName("paper_armorlegs").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.FEET).setUnlocalizedName("paper_armorboots")
				.setRegistryName("paper_armorboots").setCreativeTab(CreativeTabs.COMBAT));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(helmet, 0, new ModelResourceLocation("aaaa:paper_armorhelmet", "inventory"));
		ModelLoader.setCustomModelResourceLocation(body, 0, new ModelResourceLocation("aaaa:paper_armorbody", "inventory"));
		ModelLoader.setCustomModelResourceLocation(legs, 0, new ModelResourceLocation("aaaa:paper_armorlegs", "inventory"));
		ModelLoader.setCustomModelResourceLocation(boots, 0, new ModelResourceLocation("aaaa:paper_armorboots", "inventory"));
	}
}
